Loading...

Can't install LESS using node.js


I am trying to install LESS on a mac. But i keep getting these error messages....

I am not sure if its a permission issue, and also which directory do I install it?

Any help would be really appreciated.

npm ERR! tar.unpack untar error /Users/es/.npm/less/2.4.0/package.tgz npm ERR! Darwin 14.1.0 npm ERR! argv "node" "/usr/local/bin/npm" "install" "-g" "less" npm ERR! node v0.12.0 npm ERR! npm v2.5.1 npm ERR! path /usr/local/lib/node_modules/less npm ERR! code EACCES npm ERR! errno -13

npm ERR! Error: EACCES, mkdir '/usr/local/lib/node_modules/less' npm ERR! at Error (native) npm ERR! { [Error: EACCES, mkdir '/usr/local/lib/node_modules/less'] npm ERR! errno: -13,

- - Source

Answers

answered 2 year ago hardik solanki #1

1) Install nodejs setup (node-v5.10.0-x64.exe).

2) Open CMD to step forward.

3) Add bellow code to set nodejs in registry (apply only if registry issues).

npm config set registry http://registry.npmjs.org/

(NPM doesn't install any modules: network socket hangs up)

4) Add bellow code to install autoless (this helps to compile LESS files).

npm install autoless -g

(https://github.com/jgonera/autoless)

5) Now change directory to your style folder (using cd - command line function)

6) Add bellow code to start compile LESS files

autoless --source-map

7) Done, Now you can add compiled CSS file in your HTML.

comments powered by Disqus